Bug 1040353 - Confusing output with EPEL5 flag
Summary: Confusing output with EPEL5 flag
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 19
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 09:48 UTC by Mattias Ellert
Modified: 2015-01-14 09:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-14 09:51:29 UTC


Attachments (Terms of Use)
Fixes the issue properly (839 bytes, patch)
2013-12-16 13:45 UTC, Mattias Ellert
no flags Details | Diff

Description Mattias Ellert 2013-12-11 09:48:48 UTC
Description of problem:

When running fedora-review with the EPEL5 flag defined, the review report correctly does not report issues about the presence of a BuildRoot tag. However the line in the report says:

[x]: Buildroot is not present

which is confusing, because there is a BuildRoot tag present. The proper output should be something like:

[x]: EPEL5 requires explicit Buildroot tag

Version-Release number of selected component (if applicable):

fedora-review-0.5.0-3.fc19.noarch

How reproducible:

Always

Steps to Reproduce:
1. fedora-review -D EPEL5 ....

Actual results:

[x]: Buildroot is not present

Expected results:

[x]: EPEL5 requires explicit BuildRoot tag

Comment 1 Stanislav Ochotnicky 2013-12-12 14:41:11 UTC
Proposed fix committed as commit 178b7b7 upstream (release-0.5.1 branch)

Comment 2 Fedora Update System 2013-12-13 14:59:29 UTC
fedora-review-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc18

Comment 3 Fedora Update System 2013-12-13 15:00:12 UTC
fedora-review-0.5.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.el6

Comment 4 Fedora Update System 2013-12-13 15:01:32 UTC
fedora-review-0.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc19

Comment 5 Fedora Update System 2013-12-13 17:56:01 UTC
Package fedora-review-0.5.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.5.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23340/fedora-review-0.5.1-1.fc20
then log in and leave karma (feedback).

Comment 6 Mattias Ellert 2013-12-16 13:45:33 UTC
Created attachment 837229 [details]
Fixes the issue properly

The output is still the same in version 0.5.1-1.fc19.

If the check of the EPEL5 flag is moved away form the __init__ it works better - patch attached.

Comment 7 Fedora Update System 2013-12-19 07:06:08 UTC
fedora-review-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Stanislav Ochotnicky 2013-12-19 08:52:13 UTC
Reopening since I forgot to remove this bug from fedora update

Comment 9 Fedora Update System 2014-01-07 01:20:47 UTC
fedora-review-0.5.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-01-07 09:36:09 UTC
fedora-review-0.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-01-07 09:41:07 UTC
fedora-review-0.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Mattias Ellert 2014-03-05 10:52:23 UTC
The bug was autoclosed again...

Comment 13 Fedora End Of Life 2015-01-09 22:22:37 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Mattias Ellert 2015-01-14 09:51:29 UTC
Fixed in 0.5.2.


Note You need to log in before you can comment on or make changes to this bug.